Uploaded image for project: 'Bigtop'
  1. Bigtop
  2. BIGTOP-2849

Cannot build bigtop/slaves-ubuntu-16.04 with fresh built puppet image

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.2.0
    • Fix Version/s: None
    • Component/s: toolchain
    • Labels:
      None
    • Environment:

      x86_64 running Ubuntu 16.04

      Description

      With latest code (297cf3da616dc)@master, tried following steps on x86_64/ubuntu16.04 platform:
      1. build bigtop/puppet:
      cd docker/bigtop-puppet/ubuntu-16.04 && ./build.sh
      And I got following output:
      =========================================
      Processing triggers for sgml-base (1.26+nmu4ubuntu1) ...
      Processing triggers for dbus (1.10.6-1ubuntu3.3) ...
      Notice: Preparing to install into /etc/puppet/modules ...
      Notice: Downloading from https://forgeapi.puppetlabs.com ...
      Notice: Installing – do not interrupt ...
      /etc/puppet/modules
      └── puppetlabs-stdlib (v4.17.1)
      Notice: Preparing to install into /etc/puppet/modules ...
      Notice: Downloading from https://forgeapi.puppetlabs.com ...
      Notice: Installing – do not interrupt ...
      /etc/puppet/modules
      └─┬ puppetlabs-apt (v4.1.0)
      └── puppetlabs-stdlib (v4.17.1)
      ---> 4267f1b7fd08
      Removing intermediate container 3ba642c18260
      Successfully built 4267f1b7fd08
      =========================================
      2. cd ~/bigtop && docker build -t bigtop/slaves:trunk-ubuntu-16.04 -f docker/bigtop-slaves/ubuntu-16.04/Dockerfile .

      And I got:
      =========================================
      Get:4 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
      Fetched 306 kB in 2s (118 kB/s)
      Reading package lists...
      Error: Syntax error at 'Hash'; expected ')' at /etc/puppet/modules/apt/manifests/init.pp:6 on node d4f93cc44884.lab
      Error: Syntax error at 'Hash'; expected ')' at /etc/puppet/modules/apt/manifests/init.pp:6 on node d4f93cc44884.lab
      The command '/bin/sh -c apt-get clean && apt-get update && puppet apply -e "include bigtop_toolchain::installer"' returned a non-zero code: 1
      =========================================

      Seems the latest puppet-apt code doesn't work with puppet v3.8.5 in bigtop/puppet-ubuntu-16.04 image.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                cos Konstantin I Boudnik
                Reporter:
                jun.he Jun He
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: